﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TestView.Ensaios;
using System.Windows.Forms;
using ModuloEnsaioElasticidade.GUI;

namespace ModuloEnsaioElasticidade
{
    public class ModuloEnsaioElasticidade : IModuloDeEnsaio
    {
        private IEnsaio _ensaio;
        private IModuloGUIFacade _guiFacade;

        public ModuloEnsaioElasticidade()
        {
            this._ensaio = new EnsaioElasticidade();
        }

        public IEnsaio Ensaio
        {
            get
            {
                return this._ensaio;
            }
        }

        public IModuloGUIFacade FachadaGUI
        {
            get 
            {
                if (this._guiFacade == null)
                {
                    this._guiFacade = new ModuloGUIFacade();
                }
                return this._guiFacade;
            }
        }
    }
}
