﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace TestView.Condicionador
{
    [DataContract]
    public class Transdutor
    {
        #region Construtor e membros

        public static readonly Transdutor FORCA = new Transdutor("Força");
        public static readonly Transdutor DEFORMACAO = new Transdutor("Deformação");
        public static readonly Transdutor DESLOCAMENTO = new Transdutor("Deslocamento");
        public static readonly Dictionary<String, Transdutor> MapaTransdutores = new Dictionary<string, Transdutor>
        {
            {FORCA.ToString(), FORCA},
            {DEFORMACAO.ToString(), DEFORMACAO},
            {DESLOCAMENTO.ToString(), DESLOCAMENTO},
        };

        private String _descricao;

        public Transdutor(String descricao)
        {
            this._descricao = descricao;
        }

        [DataMember]
        public String Descricao
        {
            get
            {
                return this._descricao;
            }
            set
            {
                this._descricao = value;
            }
        }

        public override string ToString()
        {
            return this._descricao;
        }

        #endregion
    }
}
