﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestView.Dados.Modelo
{
    public interface IObjetoDAO<T>
    {
        List<T> listarTodos();
        void deletar(T objeto);
        void inserir(T objeto);
        void atualizar(T antigo, T novo);
        T carregar(T objeto);
    }
}
