﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TestView.Ensaios.Utilidades.CorposDeProva;
using System.Runtime.Serialization;
using System.IO;

namespace TestView.Ensaios
{
    public interface IEnsaio
    {
        #region Ensaio

        EstadoEnsaio EstadoEnsaio
        {
            get;
            set;
        }

        DateTime DataEnsaio
        {
            get;
            set;
        }

        CorpoDeProva CorpoDeProva
        {
            get;
            set;
        }

        #endregion

        #region Serializacao

        void serializaEnsaio(Stream stream);

        IEnsaio deserializaEnsaio(Stream stream);

        #endregion
    }
}
