﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing.Printing;

namespace TestView.Ensaios
{
    public enum EstadoEnsaio
    {
        NAO_INICIADO,
        INICIADO,
        TERMINADO,
        FECHADO,
    }

    public abstract class RotinaDeEnsaio
    {
        public abstract Ensaio Ensaio
        {
            get;
            set;
        }

        public void iniciaEnsaio()
        {
            this.iniciaEnsaioEspecifico();
        }

        public abstract void iniciaEnsaioEspecifico();

        public void terminaEnsaio()
        {
            this.terminaEnsaioEspecifico();
        }

        public abstract void terminaEnsaioEspecifico();

        public abstract void abrirEnsaio(Ensaio ensaio);

        public abstract void imprimeRelatorio(PrintPageEventArgs e);
    }
}
