﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestView.MyMath
{
    public class Polinomio
    {
        private double[] _coeficientes;
        public Double[] Coeficientes
        {
            get
            {
                return (double[])this._coeficientes.Clone();
            }
        }

        public Polinomio(params double[] coeficientes)
        {
            this._coeficientes = coeficientes;
        }

        public double obtemValor(double x)
        {
            double resultado = 0.0;
            for (int i = 0; i < this._coeficientes.Length; i++)
            {
                resultado += this._coeficientes[i] * Math.Pow(x, i);
            }
            return resultado;
        }
    }
}